Mail::MtPolicyd::Plugin::LdapUserConfig(3pm)

NAME
Mail::MtPolicyd::Plugin::LdapUserConfig - mtpolicyd plugin for retrieving per user configuration from LDAP

VERSION
version 2.05

SYNOPSIS
  ldap_host="localhost"
  ldap_binddn="cn=readonly,dc=domain,dc=com"
  ldap_password="secret"

  <Plugin user_config>
    module="LdapUserConfig"
    basedn="ou=users,dc=domain,dc=com"
    filter="(mail=%s)"
    filter_field="sasl_username"
    config_fields="mailMessageLimit,mailSendExternal"
  </Plugin>

DESCRIPTION
This plugin could be used to retrieve session variables/user configuration from a LDAP server.

PARAMETERS
The LDAP connection must be configured in the global configuration section of mtpolicyd. See mtpolicyd.

basedn (default: '')
    The basedn to use for the search.

filter (required)
    The filter to use for the search.

    The pattern %s will be replaced with the content of filter_field.

filter_field (required)
    The content of this request field will be used to replace %s in the filter string.

config_fields (required)
    A comma separated list of LDAP attributes to retrieve and copy into the current mtpolicyd session.

AUTHOR
Markus Benning <ich@markusbenning.de>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Markus Benning <ich@markusbenning.de>.

This is free software, licensed under:

  The GNU General Public License, Version 2, June 1991